Subject: Re: [FIX PATCH v2 0/2] Fix powerpc,numa: Fix memory_hotplug_max()

From: Bharata B Rao <[email-masked]>
Date: Tue, 14 Jun 2016 11:16:15 +0530

On Tue, Jun 14, 2016 at 03:19:27PM +1000, Michael Ellerman wrote:
> On Tue, 2016-06-14 at 10:16 +0530, Bharata B Rao wrote:
> > On Thu, May 12, 2016 at 07:04:13PM +0530, Bharata B Rao wrote:
> > > This patchset fixes memory_hotplug_max() routine to return correct
> > > value of maximum hotpluggable address.
> > > 
> > > In this version, whitespace fixes are separated into a different patch.
> > > 
> > > v2: https://www.mail-archive.com/[email-masked]/msg103342.html
> > > 
> > > Bharata B Rao (2):
> > >   powerpc,numa: Fix whitespace in hot_add_drconf_memory_max()
> > >   powerpc,numa: Fix memory_hotplug_max()
> > > 
> > >  arch/powerpc/mm/numa.c | 36 ++++++++++++++++++++++++++----------
> > >  1 file changed, 26 insertions(+), 10 deletions(-)
> > 
> > Can this fix be considered for inclusion ? Should I be posting this against
> > latest git now ?
> 
> No that's fine, it still applies cleanly.
> 
> Have you tested this on PowerVM ?

No. Let me grab a PowerVM box, test and get back.

> 
> Has this always been broken, or did we break it in a particular commit? If the
> latter can you tell me which commit.

memory_hotplug_max() got introduced in cd34206e9 and has been buggy since then.
Just that it got exposed by memory hotplug and DDW features on PowerKVM.

> 
> Should we be sending this to stable?

I am not sure as only PowerKVM is affected with the introducion of DDW feature
in yet-to-be-released QEMU-2.7. Even there, we are working around the problem
within QEMU itself, but better to fix this in the kernel once.

Regards,
Bharata.